import { QRCodeMinimal } from '@liquid-js/qrcode-generator/lib/qrcode/QRCodeMinimal.js';
import { Options } from '../utils/options.js';
export declare class QRSVG {
    private options;
    private _element;
    get element(): SVGElement;
    private defs;
    private backgroundMask?;
    private backgroundMaskGroup?;
    private dotsMask?;
    private dotsMaskGroup?;
    private lightDotsMask?;
    private lightDotsMaskGroup?;
    private qr?;
    private document;
    private imageTools;
    constructor(options: Pick<Options, 'width' | 'height' | 'document' | 'imageTools' | 'image' | 'imageOptions' | 'dotsOptions' | 'cornersDotOptions' | 'cornersSquareOptions' | 'backgroundOptions' | 'shape'> & {
        errorCorrectionPercent: number;
    });
    get width(): number;
    get height(): number;
    drawQR(qr: QRCodeMinimal): Promise<void>;
    drawBackground(): void;
    drawDots(filter?: (i: number, j: number) => boolean): void;
    drawCorners(): void;
    drawImage({ width, height, count, dotSize }: {
        width: number;
        height: number;
        count: number;
        dotSize: number;
    }): Promise<void>;
    private createColor;
    private createMask;
}
